Package com.orbbec.obsensor

## Enum GyroFullScaleRange

- java.lang.Object
- - java.lang.Enum<GyroFullScaleRange>
  - - com.orbbec.obsensor.GyroFullScaleRange

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<GyroFullScaleRange>`

    public enum GyroFullScaleRange
    extends java.lang.Enum<GyroFullScaleRange>

Enumeration of gyroscope ranges

### Enum Constant Summary

Enum Constants
`FS_1000dps` 1000 degrees per second
`FS_125dps` 125 degrees per second
`FS_16dps` 16 degrees per second
`FS_2000dps` 2000 degrees per second
`FS_250dps` 250 degrees per second
`FS_31dps` 31 degrees per second
`FS_500dps` 500 degrees per second
`FS_62dps` 62 degrees per second

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GyroFullScaleRange` `get​(int value)` Get the range enumeration value corresponding to the specified index of the gyroscope
`int` `value()` Get the index corresponding to the gyro range
`static GyroFullScaleRange` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GyroFullScaleRange[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FS_16dps

    public static final GyroFullScaleRange FS_16dps

16 degrees per second

#### FS_31dps

    public static final GyroFullScaleRange FS_31dps

31 degrees per second

#### FS_62dps

    public static final GyroFullScaleRange FS_62dps

62 degrees per second

#### FS_125dps

    public static final GyroFullScaleRange FS_125dps

125 degrees per second

#### FS_250dps

    public static final GyroFullScaleRange FS_250dps

250 degrees per second

#### FS_500dps

    public static final GyroFullScaleRange FS_500dps

500 degrees per second

#### FS_1000dps

    public static final GyroFullScaleRange FS_1000dps

1000 degrees per second

#### FS_2000dps

    public static final GyroFullScaleRange FS_2000dps

2000 degrees per second

### Method Detail

#### values

    public static GyroFullScaleRange[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GyroFullScaleRange c : GyroFullScaleRange.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GyroFullScaleRange valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the gyro range

Returns:
  index value

#### get

    public static GyroFullScaleRange get​(int value)

Get the range enumeration value corresponding to the specified index of the gyroscope

Parameters:
  `value` - index value
Returns:
  Gyroscope range enumeration